Subject: mpc8270 : i2c support

From: Heiko Schocher <[email-masked]>
Date: Thu, 11 May 2006 07:12:14 +0200

Hello,

on Thu May 4 06:11:17 2006 i wrote:
> Hmmm.... I think there are differences in the memory map between
> MPC826x and MPC827x ... can you try following Hack in
> include/asm-ppc/cpm_8260.h?
> 
> -#define PROFF_I2C       ((16 * 1024) - 64)
> +#define PROFF_I2C       ((8 * 1024) - 64)
> 
> [If it solves the problem, we must do this on a better way ;-)]

I don t know, if this was necessary to solve the problem, but i think
the follwing patch is useful, but I have no Hardware to try it out.

Any comments?

Best regards
Heiko

diff --git a/include/asm-ppc/cpm2.h b/include/asm-ppc/cpm2.h
index 6197986..738259c 100644
--- a/include/asm-ppc/cpm2.h
+++ b/include/asm-ppc/cpm2.h
@@ -181,7 +181,11 @@ #define PROFF_IDMA4_BASE	((uint)0x8afe)
  */
 #define PROFF_SMC1	(0)
 #define PROFF_SMC2	(64)
+#if defined(CONFIG_8272) || defined(CONFIG_MPC8555)
+#define PROFF_I2C	((8 * 1024) - 64)
+#else
 #define PROFF_I2C	((16 * 1024) - 64)
+#endif
 
 /* Define enough so I can at least use the serial port as a UART.
  */